org.apache.pdfbox.pdmodel.interactive.digitalsignature

## Class PDSeedValueMDP

- java.lang.Object
- - org.apache.pdfbox.pdmodel.interactive.digitalsignature.PDSeedValueMDP

    public class PDSeedValueMDP
    extends Object

This MDP dictionary is a part of the seed value dictionary and define if a author signature or a certification signature should be use.

Author:
  Thomas Chojecki

### Constructor Summary

Constructors
Constructor and Description
`PDSeedValueMDP()` Default constructor.
`PDSeedValueMDP(COSDictionary dict)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`COSDictionary` `getCOSObject()` Convert this standard java object to a COS dictionary.
`int` `getP()` Return the P value.
`void` `setP(int p)` Set the P value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PDSeedValueMDP

    public PDSeedValueMDP()

Default constructor.

#### PDSeedValueMDP

    public PDSeedValueMDP(COSDictionary dict)

Constructor.

Parameters:
  `dict` - The signature dictionary.

### Method Detail

#### getCOSObject

    public COSDictionary getCOSObject()

Convert this standard java object to a COS dictionary.

Returns:
  The COS dictionary that matches this Java object.

#### getP

    public int getP()

Return the P value.

Returns:
  the P value

#### setP

    public void setP(int p)

Set the P value.

Parameters:
  `p` - the value to be set as P